
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux编程-关于linux内存 数据段和bss段的疑惑？？？ / iVAN</title>

    <meta name="description" content="linux编程-关于linux内存 数据段和bss段的疑惑？？？ 问题描述 关于linux内存 数据段和bss段的疑惑??? 数据段和bss段分别存放 已初始化/未初始化 的全局变量和静态变量. 那么,假如bss段的全局变量和静态变量在代码执行中被初始化了,那么会不会被转移到 数据段存储呢??? 解决方案 首先我觉得你所说的在执行中被初始化的说法是不正确的,应该叫赋值. 接下来我们看一段代码: #include &lt;stdio.h&gt; int a; int b=10; int c=11; int main(void) { int d; int e=12 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux编程-关于linux内存 数据段和bss段的疑惑？？？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于linux内存 数据段和bss段的疑惑？？？
        </dt>
<dd>
          <br />数据段和bss段分别存放 已初始化/未初始化 的全局变量和静态变量。</p>
<p>那么，假如bss段的全局变量和静态变量在代码执行中被初始化了，那么会不会被转移到<br />
数据段存储呢？？？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>首先我觉得你所说的在执行中被初始化的说法是不正确的，应该叫赋值。<br />
接下来我们看一段代码：</p>
<pre><code>#include &lt;stdio.h&gt;
int a;
int b=10;
int c=11;
int main(void)
{
    int d;
    int e=12;
    return 0;
}
</code></pre>
<p>用gcc编译后，（在linux下用命令size，得到如下结果）</p>
<pre><code>text       data     bss     dec        hex      filename
1115     560          8    1683     693     t10
</code></pre>
<p>继续看下面修改后的代码：</p>
<pre><code>#include &lt;stdio.h&gt;
int a;
int a1;
int a2;
int a3;
int b=10;
int c=11;
int main(void)
{
    int d;
    int e=12;
    return 0;
}
</code></pre>
<p>再用size命令，你会看到：</p>
<pre><code>text       data     bss     dec     hex filename
1115        560      24    1699     6a3 t10
</code></pre>
<p>通过这些数据，你应该很容看出bss的大小变化，<br />
而你所说的会不会转移的问题，我想说，程序被编译后，<br />
就只会加载代内存中等待执行，不会转移的。<br />
希望对你有用！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:51:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98/" title="内存">内存</a>, <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80/" title="c语言">c语言</a>, <a href="https://www.iamivan.net/tag/linux%e7%bc%96%e7%a8%8b/" title="linux编程">linux编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux编程-关于linux内存 数据段和bss段的疑惑？？？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8APm9z.html" rel="bookmark">数据段、代码段、堆栈段、BSS段的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在复习一些以前的知识点,整理了一些相关的基本概念,以下的概念网上有博客已经提出了,在此我将这些知识点进行总结: 5个数据段        进程(执行的程序)会占用一定数量的内存,它或是用来存放从磁盘载入的程序代码,或是存放取自用户输入的数据等等.不过进程对这些内存的管理方式因内存用途 不一而不尽相同,有些内存是事先静态分配和统一回收的,而有些却是按需要动态分配和回收的.对任何一个普通进程来讲,它都会涉及到5种不同的数据段. Linux进程的五个段 下面我们来简单归纳一下进程对应的内存空间中所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNKZmz.html" rel="bookmark">linux编程-关于Linux的三个编程题，想了半天毫无头绪，感觉Linux编程好复杂。求大家帮助帮助我，谢谢。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于Linux的三个编程题,想了半天毫无头绪,感觉Linux编程好复杂.求大家帮助帮助我,谢谢. 1:子进程每隔一秒向文件写入信息,父进程每隔三秒读出子进程所写的信息并输出到屏幕. 2:模拟shell,设计一个交互式命令处理程序,注意对命令参数和环境参数的处理. 3:编写一个守护进程,实现功能为:每隔一秒,向当前目录下的hello文件里写入一行helloworld. 解决方案 Linux设备驱动编程之复杂设备驱动25岁了,是学linux运维还是编程好呢?求指点下 .. 解决方案二: 楼			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2aWaz.html" rel="bookmark">linux编程-在 Linux中写完 makefile make时出现下列的情况 怎么解决呀</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在 Linux中写完 makefile make时出现下列的情况 怎么解决呀 在 Linux中写完 makefile make时出现下列的情况 怎么解决呀 试了很多办法 附问题图片和makefile 解决方案 http://blog.csdn.net/jiaweizou/article/details/7546619 解决方案二: 根据你的错误提示看的话应该是没定义变量的问题-- 但这些变量貌似应该不是你定义的吧--可以试试把function5.c所依赖的头文件放在和function5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnLjeWb.html" rel="bookmark">《Linux系统编程（第2版）》&mdash;&mdash;1&period;4　Linux编程的概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 Linux编程的概念 本节给出了Linux系统提供的服务的简要概述.所有的UNIX系统,包括Linux,提供了共同的抽象和接口集合.实际上,UNIX本身就是由这些共性定义的,比如对文件和进程的抽象.管道和socket的管理接口等等,都构成了UNIX系统的核心. 本概述假定你对Linux环境很熟悉:会使用shell的基础命令.能够编译简单的C程序.它不是关于Linux或其编程环境的,而是关于Linux系统编程的基础. 1.4.1 文件和文件系统文件是Linux系统中最基础最重要的抽象.Li			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQB6yQM.html" rel="bookmark">《操作系统真象还原》&mdash;&mdash;0&period;8 代码中为什么分为代码段、数据段？这和内存访问机制中的段是一回事吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.8 代码中为什么分为代码段.数据段?这和内存访问机制中的段是一回事吗 首先,程序不是一定要分段才能运行的,分段只是为了使程序更加优美.就像用饭盒装饭菜一样,完全可以将很多菜和米饭混合在一起,或者搅拌成一体,哈哈,但这样可能就没什么胃口啦.如果饭盒中有好多小格子,方便将不同的菜和饭区分存放,这样会让我们胃口大开增加食欲. x86平台的处理器是必须要用分段机制访问内存的,正因为如此,处理器才提供了段寄存器,用来指定待访问的内存段起始地址.我们这里讨论的程序代码中的段(用section或segme			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqJ6LKp.html" rel="bookmark">可执行程序中的BSS段</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BSS段: BSS段(bss segment)通常是指用来存放程序中未初始化的全局变量的一块内存区域.BSS是英文Block Started by Symbol的简称.BSS段属于静态内存分配.BSS节不包含任何数据,只是简单的维护开始和结束的地址,以便内存区能在运行时被有效地清零.BSS节在应用程序的二进制映象文件中并不存在.如果在嵌入式里,很可能没加载器,你的程序是直接由bootload程序加载到内存的.这个时候,bss区域是否被清0,要看写bootload代码的人了.因为这种bootloa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7q5Xp.html" rel="bookmark">点评五款用于 Linux 编程的内存调试器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				点评五款用于 Linux 编程的内存调试器 Credit: Moini 作为一个程序员,我知道我肯定会犯错误--怎么可能不犯错!程序员也是人啊.有的错误能在编码过程中及时发现,而有些却得等到软件测试了才能显露出来.然而,还有一类错误并不能在这两个阶段被解决,这就导致软件不能正常运行,甚至是提前终止. 如果你还没猜出是那种错误,我说的就是和内存相关的错误.手动调试这些错误不仅耗时,而且很难发现并纠正.值得一提的是,这种错误很常见,特别是在用 C/C++ 这类允许手动管理内存的语言编写的软件里. 幸			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoqPyb.html" rel="bookmark">linux驱动-Linux如何管理内核的数据段？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Linux如何管理内核的数据段? 我目前知道的或自以为知道的(以32位Linux.3G+1G的配置为例):1. Linux里的每个进程都有4G的地址空间,其中0至3G是用户空间,3G至4G是内核.内核被共享在每个进程的地址空间中.2. 每个进程的地址空间内大约有4个段,即内核代码段.内核数据段.用户代码段.用户数据段.3. 我以为属于内核的物理内存,是不能被交换(swap)到硬盘上的,也就是常驻在内存中的. 但是我现在在看一篇文献,上面大约这样说:...上面提到的那种设计不好(注:具体			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA3PWb.html" rel="bookmark">Linux编程中的带外数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义带外数据 想 像一下在银行人们排起队等待处理他们的帐单.在这个队伍中每个人最后都会移到前面由出纳员进行服务.现在想像一下一个走入银行,越过整个队伍,然后用枪抵 住出纳员.这个就可以看作为带 外 数据 .这个强盗越过整个队伍,是因为这把枪给了他凌驾于众人的权力.出纳员也会集中注意力于这个强盗身上,因为他知道当前 的形势是很紧急的. 相应的,一个连接的流式套接口上的带 外 数据 的工作原理也与此类似.通常情况下,数据 由连接的一端流到另一端,并且认为 数据 的所有字节都是精确排序的.晚写入的字节			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlg2Vb.html" rel="bookmark" class="title">qtp自动化测试实践&colon;【软件测试自动化-QTP系列讲座 46】&equals;&equals; JScript在QTP中的终极探究</a>
					<div>
						上一次讲座我们简单介绍了下QTP中如何执行javascript,其实说穿了也就是借助QTP的封装方法来进行执行javascript,主要还是想照顾下新手所以简单介绍一下这块内容,可能对一些测试高手们来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1J29p.html" rel="bookmark" class="title">汉字与UNICODE的转换 通过文件操作</a>
					<div>
						汉字|转换 今天在看一个关于编码的问题,发现有一张表:UNICODE汉字内码表.就想着怎么样来进行相互的转换,把表COPY下来,处理成UNICODE个文件(key.txt),汉字一个文件(value. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRBQkM.html" rel="bookmark" class="title">切身体会网站内链建设的几点弊端</a>
					<div>
						从05年接触网络到现在也六七年了,从刚开始的只知道在网上聊天听音乐看电影到接触到网站建设,学习了ASP ..net后来接触到了PHPCMS,建设一个网站似乎变的很简单了,能看懂html基本上就能做出个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2gAyM.html" rel="bookmark" class="title">ASP&period;NET MVC重点教程一周年版 第四回 向View传值</a>
					<div>
						一.ViewData与TempData属性来向View页传递对象 上文中已经提到,使用ViewData可以 将数据由Controller传递到View 在前文中我们建立了EiceController类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLx8ab.html" rel="bookmark" class="title">APP推广的五种方法</a>
					<div>
						  现在手机应用是越来越火爆了,各种各样的APP层出不穷,但是要想别人下载你的APP那就需要一点手段来推广了,今天分享五种APP推广方法. 第一种:烧钱型 这种方法就是投资方或者创业者非常有钱,到底有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAGNvb.html" rel="bookmark" class="title">黑色风格的JS日历代码，左右箭头翻页年、月</a>
					<div>
						  黑色风格的JS日历代码,通过左右箭头可翻页至某年.某月,从外观上来说与灰色的背景搭配得完美,国外网站搞的,界面语言是英文的,如果您打算用可以自己修改为中文哦,别告诉我你连12月和7个星期的英语单词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKOkxp.html" rel="bookmark" class="title">PS合成一张完美的太极海报</a>
					<div>
						最终效果:   1.新建一个800 * 1000像素的文件,分辨率为72,然后打开下面的两幅素材图片,拖进来,图2放到图1的下面.                                    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdB14M.html" rel="bookmark" class="title">Win8系统怎么设置成从U盘启动</a>
					<div>
						Win8系统是为触屏而生,所以并不适合普通的电脑操作.如何进入BIOS,设置U盘启动.下面推荐几种方式,使Win8系统进入BIOS设置. Win XP, Win 7等系统启动时,都会有一定的按键来进入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3yxAM.html" rel="bookmark" class="title">教你高低频和中灰磨皮打造素颜清纯美妹子</a>
					<div>
						  每个拍室外人像的摄影师恐怕都遇到过以下情景,光线不好,设备不完善或者模特状态欠佳,这样的片子近乎于不忍直视的废片,可毕竟也是耗费精力拍出来的,总不想浪费掉,下面学生摄影师张骁exe(微博@张骁ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z6job.html" rel="bookmark" class="title">win7开机系统启动项怎么设置</a>
					<div>
						  方法一:电脑自带的开机启动项在哪里设置 第一步:从开始---运行,然后呼出运行的界面(快捷键是:同时按住键盘的 win+R 键) 第二步:输入msconfig&quot;命令,然后点击确认 第三步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj22Lb.html" rel="bookmark" class="title">如何使用win8电脑中的步骤记录器</a>
					<div>
						  随着电脑的普及,现在有不少的妈妈爸爸.甚至是外公外婆开始也对电脑有所接触了,但是相对年轻人来说,他们要接收电脑知识就远远没有想象中的那么简单,很多时候,可能都会遇到一些操作上的问题.而不动如何搜索 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eL7ob.html" rel="bookmark" class="title">如何禁止应用程序开机自动运行</a>
					<div>
						  在Win XP系统安装某些应用程序后,只要一启动电脑,不管是否使用它,它都会自己运行,影响电脑启动速度.要禁止应用程序开机自动运行,可以执行如下操作. 步骤1:打开&quot;开始&quot;菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGOe7b.html" rel="bookmark" class="title">怎么恢复原来的电脑系统&quest;</a>
					<div>
						  如果没有还原精灵和ghost这个软件是没有办法的. XP带的系统还原功能烂的很. ghost是运行在dos下的,所以一个好系统需要98和XP两张光盘搞定. 具体操作 如何装XP系统 第一步,设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3rm6M.html" rel="bookmark" class="title">显示器待机状态蓝屏的故障</a>
					<div>
						  问:我有一台明基液晶显示器,以前使用VGA接口时一切正常,现在使用HDMI接口,关机后提示HDMI接口未连接,然后就蓝屏,但主机已正常关机.请问这是为什么? 答:你所说的蓝屏其实并不是通常所说的系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7B1jM.html" rel="bookmark" class="title">Android开发中Activity属性设置小结&lowbar;Android</a>
					<div>
						Activity是Android组件中最基本也是最为常见用的四大组件之一,在 android开发中 ,运用极为广泛,作为初学者需要熟练掌握,下例为Activity属性常用设置. android:all ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqNoqb.html" rel="bookmark" class="title">不安分的程序员！阿里90后员工做了个随时FreeStyle的人工智能</a>
					<div>
						顶着鸭舌帽.戴着墨镜,挂着大金链子唱着自己写的rap,这对于从来没有玩过音乐,甚至五音不全的90后程序员芦阳来说,看上去是个非常遥远的梦. 不过最近,他真的在阿里电台和朋友录制了人生第一首rap,主题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7KEvz.html" rel="bookmark" class="title">机房收费系统：（四）添加用户</a>
					<div>
						     机房收费系统中关于添加用户的这一节,和上一次的关于SQl中添加用户的自增长ID雷同,只是在操作上有所偏差.        在添加新用户之前,需要先查询一下数据库,此用户是否在数据库中存在,若 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Yon3M.html" rel="bookmark" class="title">【Oracle】Master Note for Parallel Execution Wait Events</a>
					<div>
						关于并行的等待事件汇总: Scope This is intended as a reference for anyone involved in database tuning. This Note ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40a1rz.html" rel="bookmark" class="title">关于vb&period;net结构体（structure）在内存空间存储的问题</a>
					<div>
						问题描述 &lt;StructLayout(LayoutKind.Auto)&gt;_PublicStructuredc_msg&lt;VBFixedArray(IMEI_LEN+1)&gt;Publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7rYvM.html" rel="bookmark" class="title">直播平台面临苹果抢食 云帆加速首推H&period;265视频直播传输方案</a>
					<div>
						5标准 现在用户对视频质量的要求也越来越高,高清.4K等已经成为当前视频业务的主流发展方向.视频清晰度的提升带来了数据量的大幅增长,而现有的编码标准(如H.264.MPEG-2等)的数据压缩能力却难以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40vDrz.html" rel="bookmark" class="title">西门子就行贿案与世界银行达成和解</a>
					<div>
						7月3日消息,据国外媒体报道,西门子就行贿指控与世界银行达成了和解协议,同意支付1亿美元帮助开展反腐活动,尽管西门子仍在一些国家受到调查,世界银行的协议仍是西门子解决贿赂丑闻的一个重要里程碑. 这项协 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq25Jp.html" rel="bookmark" class="title">马云：我和李彦宏、郭广昌、鲁伟鼎交流阿里</a>
					<div>
						阿里巴巴其实就是四块主要业务,第一块是阿里巴巴电子商务,包括了B2B业务.淘宝.天猫:第二块是http://www.aliyun.com/zixun/aggregation/13561.html&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y08oz.html" rel="bookmark" class="title">Android 空指针异常怎么解决？</a>
					<div>
						问题描述 Android 空指针异常怎么解决? refreshableview.setOnRefreshListener(new PullToRefreshListener(){ @Override  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RvPqz.html" rel="bookmark" class="title">象qq消息弹出形式</a>
					<div>
						问题描述 屏幕右下方那种,全代码.angker@sina.com收到给分,谢谢. 解决方案 解决方案二:去网上搜一搜一大把解决方案三:设坐标的问题解决方案四:DevComponents.DotNetB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Ng3Jz.html" rel="bookmark" class="title">asp&period;net URL 显示乱码 解决方法&lowbar;实用技巧</a>
					<div>
						比如你传入汉字,或者传入&quot;§&quot;等其他编码格式的字符串系统解析后的url为乱码.经过在网上的查找觉得一下两种方式比较好: 1.如果url在后台解析的话采用HttpUtility.Ur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEYd8z.html" rel="bookmark" class="title">史上最全的MySQL备份方法&lowbar;Mysql</a>
					<div>
						本人曾经 用过的备份方式有:mysqldump.mysqlhotcopy.BACKUP TABLE .SELECT INTO OUTFILE,又或者备份二进制日志(binlog),还可以是直接拷贝数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn15kp.html" rel="bookmark" class="title">winXP系统安装SQLServer2005开发版具体过程与注意问题&lowbar;mssql2005</a>
					<div>
						如果是iso文件,大概1.7G,包含32位和64位的安装文件,这是一个下载地址 http://www.jb51.net/softs/20591.html1.确保以前版本卸载干净,卸载干净方法 --删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk8ZJM.html" rel="bookmark" class="title">求助&period; 想定义一个时间变量&comma;EventTime&comma;设其初值为0&colon;12&colon;383&comma;即0分12秒383毫秒&comma;怎么定义&quest;&quest;</a>
					<div>
						问题描述 求助.想定义一个时间变量,EventTime,设其初值为0:12:383,即0分12秒383毫秒,怎么定义?? 解决方案 本帖最后由 u010362303 于 2014-01-09 22:4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkjXaM.html" rel="bookmark" class="title">OA选型：OA系统稳定性压倒一切</a>
					<div>
						OA系统包括哪些?OA办公系统选型需要注意哪些要点? OA系统的稳定性有哪些好处?OA系统稳定性好的OA公司有哪些? 企业的OA要保障企业运营的畅通有序,OA的稳定性是企业在选择OA时的重要数据指标. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdrEKz.html" rel="bookmark" class="title">对于广大游戏迷来说，真正的暑假才刚刚开始</a>
					<div>
						快乐的时光总是容易过去,不知不觉间,暑假已经过去了一半,但是对于广大游戏迷来说,真正的暑假才刚刚开始:7月底的&lt;虐杀原形2&gt;就像一个导火索,将8月游戏发售高潮彻底引爆,&lt;暗黑血统2& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
